
local mig_disp  = _("mig Pilot")
declare_plugin("mig_pilot",
{
	installed 	  	= 	true,
	dirName		  	= 	current_mod_path,
	displayName   	= 	mig_disp,
	shortName	  	= 	"mig_pilot",
	fileMenuName  	= 	"mig_pilot",
	version			=	"0",
	state		  	= 	"installed",
	developerName 	= 	"Flanker",
	info		  	= 	"mig_pilot",
	
	binaries	 = {},
	load_immediately = true,	
	Options =
	{
		{
			name		= mig_disp,
            nameId		= "mig_pilot",
            dir			= "Options",
		},
	},
	
})

local path 		= current_mod_path..'/Cockpit/Scripts/'
mount_vfs_texture_path  (current_mod_path ..  "/Textures")
mount_vfs_model_path    (current_mod_path ..  "/Shapes")
		
add_plugin_systems('mig_pilot','*',path,
{
	["MiG-29S"] 	= { enable_options_key_for_unit = "Mig29s_enabled" },
})
turn_on_waypoint_panel('*',nil,true)

plugin_done()
